<!doctype html>
<html>
<head>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

</head>
<style>

  .enjoy-css {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
    width: 50%;
    padding: 20px;
    overflow: hidden;
    border: none;
    font: normal 30px/3 "Lucida Console", Monaco, monospace;
    color: rgba(255, 255, 255, 1);
    text-align: center;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    word-spacing: 6px;
    background: #41c3ff;
    -webkit-box-shadow: 10px 10px 10px 0 rgba(54, 56, 109, 0.3);
    box-shadow: 10px 10px 10px 0 rgba(54, 56, 109, 0.3);
    text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
    position: relative;
    /* or absolute */
    top: 20%;
    left: 25%;
    bottom: auto;
  }


  .img {

    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 15%;
    height: auto;
  }

  h1 {
    font-size: 2vw;
    /* 40px/16=2.5em */
  }

  h2 {
    font-size: 1.5vw;
    /* 30px/16=1.875em */
  }
  h3 {
    font-size: 1.2vw;
    /* 24px/16=1.5em */
  }
  h4 {
    font-size: 1vw;
    /* 20px/16=1.25em */
  }
  p {
    font-size: 0.55vw;
    /* 14px/16=0.875em */
  }

  body {
    text-align: center;
    background-color: rgb(230, 230, 230);
  }

  .card {
        margin: 0 auto; /* Added */
        float: none; /* Added */
        margin-bottom: 10px; /* Added */
  }
</style>

<body>
  <div class="enjoy-css">
    <img src="static/shield.png" class="img" alt="SRE">
    <h1>
      SRE bootcamp
      <p style="margin-top: 24px;">Beurie Reyes Gaytan</p>
      <p>Jose Castrejon</p>
      <p>Nicholas Farias</p>
      <p>Ulises Larraga</p>
    </h1>

    <h3>
      Unique vists: {{ hostname_count }}
    </h3>
  </div>



  <div class="card-deck text-center" style="margin-left: 15%; margin-top: 20px;">

  {% for k,v in all_items.items() %}
  <div class="col-sm-4 text-center" style="text-align: center;">
      <div class="card text-center shadow border-secondary justify-content-center" style="width: 18rem;">

      <div class="card-body">
          <h4 class="card-title">{{k}}</h4>
          <p class="card-text">Counter: {{v.counter}} </p>
          <a href="{{ MICRO_URL }}" target="_blank" rel="noopener noreferrer" class="btn btn-primary">Pod Visits: {{v.visits}}</a>
      </div>
      </div>
      <br>
  </div>
  {% endfor %}
  </div>


  <footer style="text-align: center;">
    <h4>Contact Us
      <p style="color: rgb(26, 133, 204); margin-top: 24px;">Beurie Reyes Gaytan</p>
      <p style="color: rgb(26, 133, 204);">Jose Castrejon</p>
      <p style="color: rgb(26, 133, 204);">Nicholas Farias</p>
      <p style="color: rgb(26, 133, 204);">Ulises Larraga</p>
    </h4>
  </footer>
</body>
</html>
